Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.webreport.service.builder
Class ResourceTreeBuilder

    java.lang.Object
      jet.webreport.service.builder.ResourceTreeBuilder

    public final class ResourceTreeBuilder

extends java.lang.Object

ResourceTreeBuilder provides a tool for resource tree.

Field Summary
`static java.lang.String` | `TYPE_CATEGORY` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_COMPONENT` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DATASOURCE` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DETAIL` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DIMENSION` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_FORMULA` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_FORMULA_ADD` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_FORMULA_ERROR` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_FORMULA_ROOT` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_FORMULA_USED` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_FORMULA_USED_ERROR` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_MEASURE` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_MEASURE_ADD` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_MEASURE_ERROR` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_MEASURE_ROOT` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_MEASURE_USED` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_DYNAMIC_MEASURE_USED_ERROR` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_HANDLE` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_MAPPING_NAME` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_MEASURE` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.
`static java.lang.String` | `TYPE_SQLTYPE` The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_.

Constructor Summary
`ResourceTreeBuilder(jet.web.dhtml.DHTMLRptSheet report)` Creates `ResourceTreeBuilder` instance by the specified report.
`ResourceTreeBuilder(java.lang.String sessionId, java.lang.String rptSetId)` Creates `ResourceTreeBuilder` instance.

Method Summary
`JNode` | `buildCatalogDSTree(CatalogAPI catalogAPI, java.lang.String user)` Returns the catalog data source tree.
`JNode` | `buildComponentDSTree(java.lang.String rptset_id, java.lang.String sheet_id, java.lang.String dsid, java.lang.String comp)` Returns the resource tree of the specified component.
`JNode` | `buildCubeNode(java.lang.String rptset_id, java.lang.String sheet_id, java.lang.String rcName, java.util.HashMap prop)` Returns the cube tree.
`JNode` | `buildReportDSTree(java.lang.String rptset_id, java.lang.String sheet_id, java.lang.String subKey)` Returns the report Data Source tree.
`JNode` | `buildReportDSTree(java.lang.String rptset_id, java.lang.String sheet_id, java.lang.String subKey, java.lang.String handle, java.util.HashSet<java.lang.Integer> filterSqls)` Returns the report resource tree.
`static java.util.Properties` | `getDefaultSetting(java.util.Properties props)` Returns the default setting for the resource tree.
`void` | `setCatName(java.lang.String catName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_DATASOURCE

    public static final java.lang.String TYPE_DATASOURCE

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DATASOURCE`.

  See Also:
    Constant Field Values

### TYPE_COMPONENT

    public static final java.lang.String TYPE_COMPONENT

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_COMPONENT`.

  See Also:
    Constant Field Values

### TYPE_HANDLE

    public static final java.lang.String TYPE_HANDLE

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_HANDLE`.

  See Also:
    Constant Field Values

### TYPE_CATEGORY

    public static final java.lang.String TYPE_CATEGORY

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_CATEGORY`.

  See Also:
    Constant Field Values

### TYPE_DIMENSION

    public static final java.lang.String TYPE_DIMENSION

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DIMENSION`.

  See Also:
    Constant Field Values

### TYPE_MEASURE

    public static final java.lang.String TYPE_MEASURE

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_MEASURE`.

  See Also:
    Constant Field Values

### TYPE_DETAIL

    public static final java.lang.String TYPE_DETAIL

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DETAIL`.

  See Also:
    Constant Field Values

### TYPE_SQLTYPE

    public static final java.lang.String TYPE_SQLTYPE

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_SQLTYPE`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC

    public static final java.lang.String TYPE_DYNAMIC

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC`.

  See Also:
    Constant Field Values

### TYPE_MAPPING_NAME

    public static final java.lang.String TYPE_MAPPING_NAME

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_MAPPING_NAME`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_FORMULA_ROOT

    public static final java.lang.String TYPE_DYNAMIC_FORMULA_ROOT

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_FORMULA_ROOT`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_FORMULA_ADD

    public static final java.lang.String TYPE_DYNAMIC_FORMULA_ADD

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_FORMULA_ADD`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_FORMULA

    public static final java.lang.String TYPE_DYNAMIC_FORMULA

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_FORMULA`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_FORMULA_ERROR

    public static final java.lang.String TYPE_DYNAMIC_FORMULA_ERROR

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_FORMULA_ERROR`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_FORMULA_USED

    public static final java.lang.String TYPE_DYNAMIC_FORMULA_USED

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_FORMULA_USED`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_FORMULA_USED_ERROR

    public static final java.lang.String TYPE_DYNAMIC_FORMULA_USED_ERROR

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_FORMULA_USED_ERROR` .

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_MEASURE_ROOT

    public static final java.lang.String TYPE_DYNAMIC_MEASURE_ROOT

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_MEASURE_ROOT`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_MEASURE_ADD

    public static final java.lang.String TYPE_DYNAMIC_MEASURE_ADD

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_MEASURE_ADD`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_MEASURE

    public static final java.lang.String TYPE_DYNAMIC_MEASURE

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_MEASURE`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_MEASURE_ERROR

    public static final java.lang.String TYPE_DYNAMIC_MEASURE_ERROR

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_MEASURE_ERROR`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_MEASURE_USED

    public static final java.lang.String TYPE_DYNAMIC_MEASURE_USED

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_MEASURE_USED`.

  See Also:
    Constant Field Values

### TYPE_DYNAMIC_MEASURE_USED_ERROR

    public static final java.lang.String TYPE_DYNAMIC_MEASURE_USED_ERROR

  The constant in the JRServer DHTML, that identifies the generic tree node type, and starts with TYPE_. `TYPE_DYNAMIC_MEASURE_USED_ERROR` .

  See Also:
    Constant Field Values

Constructor Detail

### ResourceTreeBuilder

    public ResourceTreeBuilder(java.lang.String sessionId,
                               java.lang.String rptSetId)

  Creates `ResourceTreeBuilder` instance.

### ResourceTreeBuilder

    public ResourceTreeBuilder(jet.web.dhtml.DHTMLRptSheet report)

  Creates `ResourceTreeBuilder` instance by the specified report.

  Parameters:
    `report` - the report.

Method Detail

### buildReportDSTree

    public JNode buildReportDSTree(java.lang.String rptset_id,
                                   java.lang.String sheet_id,
                                   java.lang.String subKey)

  Returns the report Data Source tree.

  Parameters:
    `rptset_id` - the report set id.
    `sheet_id` - the report name.
    `subKey` - the key of the engine.
  Returns:
    the report Data Source tree.

### buildReportDSTree

    public JNode buildReportDSTree(java.lang.String rptset_id,
                                   java.lang.String sheet_id,
                                   java.lang.String subKey,
                                   java.lang.String handle,
                                   java.util.HashSet<java.lang.Integer> filterSqls)

  Returns the report resource tree.

  An example of the method:
    %serverhome%/public_html/dhtmljsp/create/webcontrol/buildtree.jsp.

  Parameters:
    `rptset_id` - the report set id.
    `sheet_id` - the report name.
    `subKey` - the key of the engine.
    `handle` - the report cube qualified name (made by data source name, query name, report cube name, with separator '.').
    `filterSqls` -
  Returns:
    the report resource tree.

### buildCubeNode

    public JNode buildCubeNode(java.lang.String rptset_id,
                               java.lang.String sheet_id,
                               java.lang.String rcName,
                               java.util.HashMap prop)

  Returns the cube tree.

  Parameters:
    `rptset_id` - the report set id.
    `sheet_id` - the report name.
    `rcName` - the report cube qualified name (made by data source name, query name, report cube name, with separator '.').
    `prop` - the tree configuration properties, such as image path, root expand level.
    Default you can use ResourceTreeBuilder.getDefaultSetting().
  Returns:
    the cube tree.

### buildComponentDSTree

    public JNode buildComponentDSTree(java.lang.String rptset_id,
                                      java.lang.String sheet_id,
                                      java.lang.String dsid,
                                      java.lang.String comp)
                               throws jet.rptservice.api.exception.JRScheduleException

  Returns the resource tree of the specified component.

  Parameters:
    `rptset_id` - the report set id.
    `sheet_id` - the report name.
    `dsid` - ID of the result object.
    `comp` - the component name
  Returns:
    the resource tree.
  Throws:
    `jet.rptservice.api.exception.JRScheduleException`

### buildCatalogDSTree

    public JNode buildCatalogDSTree(CatalogAPI catalogAPI,
                                    java.lang.String user)

  Returns the catalog data source tree.

  Parameters:
    `catalogAPI` -
    `user` - the user name.
  Returns:
    the catalog data source tree.
  See Also:
    `jet.api.CatalogAPI.`

### getDefaultSetting

    public static java.util.Properties getDefaultSetting(java.util.Properties props)

  Returns the default setting for the resource tree.

  An example of the method:
    %serverhome%/public_html/dhtmljsp/create/webcontrol/buildtree.jsp.

  Parameters:
    `props` - `java.util.Properties`
  Returns:
    the default setting.

### setCatName

    public void setCatName(java.lang.String catName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD